summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Manouchehri2015-08-26 11:07:54 -0400
committerDavid Manouchehri2015-08-26 11:23:30 -0400
commit633835408d5f3281a820e2a772c9ab3f42521735 (patch)
tree7b6d2bf06c7b44fbf88a29cbdff56736729bdc3f
downloadaur-ccsc.tar.gz
Initial import from AUR3.
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD33
-rw-r--r--pcm.crg0
-rw-r--r--pcml.run0
4 files changed, 48 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..23642f143a2
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = ccsc
+ pkgdesc = Proprietary PIC C compiler by CCS
+ pkgver = 5.012
+ pkgrel = 1
+ url = http://www.ccsinfo.com/content.php?page=compilers
+ arch = i686
+ arch = x86_64
+ license = unknown
+ source = pcml.run
+ source = pcm.crg
+ sha512sums = 81d1a4a7ac535f1d31b95cdd2cd3af2d5f878472639ac1855bc451dc7774fe0250b17d7bf919e52ffc0276f42972081429d030de370e1ef3df07668fe9f5e73d
+ sha512sums = SKIP
+
+pkgname = ccsc
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..bc07ea18722
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Maintainer: David Manouchehri <d@32t.ca>
+
+pkgname=ccsc
+pkgver=5.012
+pkgrel=1
+pkgdesc="Proprietary PIC C compiler by CCS"
+arch=('i686' 'x86_64')
+url="http://www.ccsinfo.com/content.php?page=compilers"
+license=('unknown')
+source=('pcml.run' 'pcm.crg')
+sha512sums=('81d1a4a7ac535f1d31b95cdd2cd3af2d5f878472639ac1855bc451dc7774fe0250b17d7bf919e52ffc0276f42972081429d030de370e1ef3df07668fe9f5e73d'
+ 'SKIP')
+
+build() {
+ cd $srcdir
+ test -s pcm.crg || (printf "\e[1;31mPlease add your registration file to pcm.crg.\e[0m\n"; exit 1)
+ test -s pcml.run || (printf "\e[1;31mPlease add your installer file to pcml.run.\e[0m\n"; exit 1)
+ ./pcml.run --noexec --target $srcdir/extract/
+ cd $srcdir/extract/
+ rm install # Not needed, no need to keep
+}
+
+package() {
+ mkdir -p $pkgdir/opt/$pkgname/
+ mkdir $pkgdir/etc
+ mkdir -p $pkgdir/usr/bin/
+ cp $srcdir/pcm.crg $pkgdir/opt/$pkgname/ # This is the registration file
+ cp -r $srcdir/extract/* $pkgdir/opt/$pkgname/ # "Install" the main program
+ printf "i=/opt/$pkgname/devices/:/opt/$pkgname/drivers/" > $pkgdir/etc/ccsc.ini
+ mv $pkgdir/opt/$pkgname/ccsc.bin $pkgdir/opt/$pkgname/ccsc
+ printf "export LD_LIBRARY_PATH=\"/opt/$pkgname/so:\$LD_LIBRARY_PATH\"; /opt/$pkgname/ccsc \"\$@\"" > $pkgdir/usr/bin/ccsc
+ chmod +x $pkgdir/usr/bin/ccsc
+}
diff --git a/pcm.crg b/pcm.crg
new file mode 100644
index 00000000000..e69de29bb2d
--- /dev/null
+++ b/pcm.crg
diff --git a/pcml.run b/pcml.run
new file mode 100644
index 00000000000..e69de29bb2d
--- /dev/null
+++ b/pcml.run